NAMEI(1)

NAMN
namei - följer ett sökvägsnamn tills en slutpunkt hittas

SYNOPSIS

namei [flaggor] sökvägsnamn...

BESKRIVNING

namei tolkar sina argument som sökvägar till alla typer av Unix-filer (symlinks, filer, kataloger osv.). namei följer sedan varje sökväg tills en slutpunkt hittas (en fil, en katalog, en enhetsnod, etc). Om den hittar en symbolisk länk visar den länken och börjar följa den, med indrag i utdata för att visa sammanhanget.

Detta program är användbart för att hitta problem med "för många nivåer av symboliska länkar".

För varje utdatarad använder namei följande tecken för att identifiera den filtyp som hittats:
f: | the pathname currently being resolved
d | directory
l | symbolic link (both the link and its contents are output)
s | socket
b | block device
c | character device
p | FIFO (named pipe)
- | regular file
? | an error of some kind

namei skriver ut ett informativt meddelande när det maximala antalet symboliska länkar som det här systemet kan ha har överskridits.

FLAGGOR

-l, --long
    Använd det långa listningsformatet (samma som -m -o -v).

-m, --modes
    Visa lägesbitarna för varje filtyp i stil med ls(1), t.ex. "rwxr-xr-x".

-n, --nosymlinks
    Följ inte symboliska länkar.

-o, --owners
    Visa ägare och gruppnamn för varje fil.

-v, --vertical
    Justera lägena och ägarna vertikalt.

-x, --mountpoints
    Visa monteringspunktskataloger med ett "D" i stället för ett "d".

-Z, --context
    Visa säkerhetskontext för filen eller "?" om den inte är tillgänglig. Stödet för säkerhetskontexter är valfritt och behöver inte kompileras till namei-binärfilen.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

KÄNDA PROBLEM

Det återstår att se.

UPPHOVSPERSONER

Det ursprungliga namei-programmet skrevs av

Programmet skrevs om av

SE ÄVEN

ls(1), stat(1), symlink(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot namei ingår i paketet util-linux som kan hämtas från